Update Invoice: MRI
PUT
https://api.propexo.com/v1/invoices/mri/:invoice_id| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMAP_UpdateInvoiceStatus |
| /mriapiservices/api.asp?$api=MRI_S-PMAP_PayInvoice |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
invoice_id stringrequired
The Propexo unique identifier for the invoice
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
expense_periodstringrequired
The expense period associated with the invoice
Show 2 variants
payment_datestringrequired
The payment date associated with the invoice
Show 2 variants
payment_periodstringrequired
The accounting period in which you want to make the payment
Show 2 variants
check_numberstringrequired
The check number associated with the invoice
Possible values: <= 9 characters
statusstringrequired
Status of invoice
Show 3 enum values
PAYRELEASEHOLDitem_numberintegerrequired
Line Item number of the Invoice record.
Possible values: > 0
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
job_idstringrequired
result objectrequired
invoice_idstringrequired
The Propexo unique identifier for the invoice
expense_periodstringrequired
The expense period associated with the invoice
Show 2 variants
payment_datestringrequired
The payment date associated with the invoice
Show 2 variants
payment_periodstringrequired
The accounting period in which you want to make the payment
Show 2 variants
check_numberstringrequired
The check number associated with the invoice
Possible values: <= 9 characters
statusstringrequired
Status of invoice
Show 3 enum values
PAYRELEASEHOLDitem_numberintegerrequired
Line Item number of the Invoice record.
Possible values: > 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/invoices/mri/:invoice_id
curl -X PUT https://api.propexo.com/v1/invoices/mri/:invoice_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"expense_period": "2024-07-29T15:51:28.071Z",
"payment_date": "2024-07-29T15:51:28.071Z",
"payment_period": "2024-07-29T15:51:28.071Z",
"check_number": "string",
"status": "PAY",
"item_number": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"invoice_id": "string",
"expense_period": "2024-07-29T15:51:28.071Z",
"payment_date": "2024-07-29T15:51:28.071Z",
"payment_period": "2024-07-29T15:51:28.071Z",
"check_number": "string",
"status": "PAY",
"item_number": 0
}
}